Updates the status of a specific job. Currently, this endpoint only support to transition a "Completed" job to a virtual status that allow to change via API.
Request Information
URI Parameters :
None.
Body Parameters :
jobs_status_change| Name | Description | Type | Additional information |
|---|---|---|---|
| jobs_id |
Source job Id. |
globally unique identifier | |
| target_job_status_id |
Target job status Id. |
globally unique identifier |
Optionally required : target_job_status_id or target_job_status_code must be provided |
| target_job_status_code |
Tarret job status code. |
string |
Optionally required : target_job_status_id or target_job_status_code must be provided |
Request Formats :
application/json, text/json
Sample:
{
"jobs_id": "052b82f7-7126-42eb-8b9e-d5eb97b55e21",
"target_job_status_id": "6bed909d-2c8f-41f0-a5f1-d7c2075c22d1",
"target_job_status_code": "sample string 3"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.